org.apache.lucene.codecs

## Class TermStats

- java.lang.Object
- - org.apache.lucene.codecs.TermStats

    public class TermStats
    extends Object

Holder for per-term statistics.

See Also:
  `TermsEnum.docFreq()`, `TermsEnum.totalTermFreq()`

### Field Summary

Fields
`int` `docFreq` How many documents have at least one occurrence of this term.
`long` `totalTermFreq` Total number of times this term occurs across all documents in the field.

### Constructor Summary

Constructors
Constructor and Description
`TermStats(int docFreq, long totalTermFreq)` Sole constructor.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### docFreq

    public final int docFreq

How many documents have at least one occurrence of this term.

#### totalTermFreq

    public final long totalTermFreq

Total number of times this term occurs across all documents in the field.

### Constructor Detail

#### TermStats

    public TermStats(int docFreq,
             long totalTermFreq)

Sole constructor.